 
// hpi_min.h
// Michael G. Morrow, 2001
// HPI shared memory block for host communications

#ifndef	HPI_MIN_H_INCLUDED
#define	HPI_MIN_H_INCLUDED

#include "winDSK6_def.h"  
 
/* declare minimal HPI data structure */
typedef volatile struct {
	/* codec support data */
	volatile unsigned int SecCommFlag;
	volatile unsigned int SecCommData;
	volatile unsigned int TimerFlag;
	volatile unsigned int TimerDivider;
	volatile int CODEC;
	volatile float SampleFreq;
	
	// all application instances of HPI_Memory_Block must have these fields
} HPI_Memory_Block;
     
#endif

