// support.h
// Michael G. Morrow, 2001-2002
// common support functions for winDSK6  

#ifndef SUPPORT_H_INCLUDED
#define SUPPORT_H_INCLUDED

#include "c6x11dsk.h"
#include "windsk6_def.h"

// codec and McBSP support
extern McBSP* McBSP_Base_ToUse;
float InitSerialComm(int);
void Init_McBSP(McBSP *, int);
int  Write_AIC23_Reg(unsigned short, volatile McBSP *);

/* TLC320AD535 code */                                                      
void RequestSecCommWrite(unsigned int);
unsigned int RequestSecCommRead(unsigned int);
extern volatile unsigned int SecCommData;
extern volatile int TxData, RecvData, SecFlag, TxFlag;

// EMIF and silicon support
int EMIF_Init();
int C62_McBSP_IMH_Bug();

// timer support
float SetNewFs_PCM300X(int, unsigned int);
float SetTimer0Period(unsigned int);
#endif

