/* 
winDSK6_enums.h
Michael G. Morrow, 2001-2005
enumerations to support host-DSP interface
*/

#ifndef WINDSK6_ENUMS_H_INCLUDED
#define WINDSK6_ENUMS_H_INCLUDED

enum CODEC_VERSION {TLC320AD535, eDSP_PCM3006, TI_PCM3003_16bit, THS1206, eDAC_PCM3003, eDAC_Audio, AIC23_16bit_McBSP01, AIC23_16bit_McBSP12, NumberOfSupportedAICs};
enum DSP_VERSION {C6211, C6711, C6713_LPT, C6713_COM, C6416T_LPT, C6416T_COM, NumberOfSupportedDSPs}; 
enum MCBSP_MODES {AD535_Mode, PCM300X_Master, PCM300X_Slave, PCM300X_Slave_Inverted, AIC23_Mode, NumberOfSupportedMcBspModes};

enum ComPortNumbers {COM1 = 1, COM2, COM3, COM4, COM5, COM6, COM7, COM8};// com port enumerations
enum ComSpeeds {COM_RS232, COM_USB2, COM_USB1, NumberComSpeeds};
enum PrinterPortNumbers {LPT1 = 0x378, LPT2 = 0x278,LPT3 = 0x3BC};// parallel port enumerations
enum PrinterPortModes {SPP_NIBBLE_MODE, SPP_MODE, EPP_1_7_MODE, EPP_MODE, EPP16_MODE, NumberLptModes};

/* hpi block constants */
#define HPI_Block_SecCommFlag_Offset    0
#define HPI_Block_SecCommData_Offset    4
#define HPI_Block_TimerFlag_Offset      8
#define HPI_Block_TimerDivider_Offset   12
#define HPI_Block_CODEC_Offset          16
#define HPI_Block_SampleFreq_Offset     20
#define HPI_Block_Application_Base      24 // 6 required words in all HPI Blocks

#endif      
